org.openstreetmap.josm.plugins.streetside.utils

## Class StreetsideColorScheme

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.StreetsideColorScheme

-     public final class StreetsideColorScheme
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Color` | `IMAGEDETECTION_TRAFFICSIGN`
    `static Color` | `IMAGEDETECTION_UNKNOWN`
    `static Color` | `SEQ_HIGHLIGHTED` Color for the marker of currently selected images
    `static Color` | `SEQ_HIGHLIGHTED_CA` Color for the camera angle indicator of the currently selected images
    `static Color` | `SEQ_IMPORTED_HIGHLIGHTED`
    `static Color` | `SEQ_IMPORTED_HIGHLIGHTED_CA`
    `static Color` | `SEQ_IMPORTED_SELECTED`
    `static Color` | `SEQ_IMPORTED_SELECTED_CA`
    `static Color` | `SEQ_IMPORTED_UNSELECTED`
    `static Color` | `SEQ_IMPORTED_UNSELECTED_CA`
    `static Color` | `SEQ_SELECTED` Color for the marker of images in a selected sequence
    `static Color` | `SEQ_SELECTED_CA` Color for the camera angle indicator of images in selected sequences
    `static Color` | `SEQ_UNSELECTED` Color for unselected images
    `static Color` | `SEQ_UNSELECTED_CA` Color for the camera angle indicator of images in unselected sequences
    `static Color` | `STREETSIDE_BLUE`
    `static Color` | `TOOLBAR_DARK_GREY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `StreetsideColorScheme()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `styleAsDefaultPanel(JComponent... components)` Styles the given components as default panels (currently only the background is set to white)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEQ_UNSELECTED

          public static final Color SEQ_UNSELECTED

      Color for unselected images

    - #### SEQ_UNSELECTED_CA

          public static final Color SEQ_UNSELECTED_CA

      Color for the camera angle indicator of images in unselected sequences

    - #### SEQ_SELECTED

          public static final Color SEQ_SELECTED

      Color for the marker of images in a selected sequence

    - #### SEQ_SELECTED_CA

          public static final Color SEQ_SELECTED_CA

      Color for the camera angle indicator of images in selected sequences

    - #### SEQ_HIGHLIGHTED

          public static final Color SEQ_HIGHLIGHTED

      Color for the marker of currently selected images

    - #### SEQ_HIGHLIGHTED_CA

          public static final Color SEQ_HIGHLIGHTED_CA

      Color for the camera angle indicator of the currently selected images

    - #### SEQ_IMPORTED_SELECTED

          public static final Color SEQ_IMPORTED_SELECTED

    - #### SEQ_IMPORTED_SELECTED_CA

          public static final Color SEQ_IMPORTED_SELECTED_CA

    - #### SEQ_IMPORTED_UNSELECTED

          public static final Color SEQ_IMPORTED_UNSELECTED

    - #### SEQ_IMPORTED_UNSELECTED_CA

          public static final Color SEQ_IMPORTED_UNSELECTED_CA

    - #### SEQ_IMPORTED_HIGHLIGHTED

          public static final Color SEQ_IMPORTED_HIGHLIGHTED

    - #### SEQ_IMPORTED_HIGHLIGHTED_CA

          public static final Color SEQ_IMPORTED_HIGHLIGHTED_CA

    - #### STREETSIDE_BLUE

          public static final Color STREETSIDE_BLUE

    - #### TOOLBAR_DARK_GREY

          public static final Color TOOLBAR_DARK_GREY

    - #### IMAGEDETECTION_TRAFFICSIGN

          public static final Color IMAGEDETECTION_TRAFFICSIGN

    - #### IMAGEDETECTION_UNKNOWN

          public static final Color IMAGEDETECTION_UNKNOWN

  - ### Constructor Detail

    - #### StreetsideColorScheme

          private StreetsideColorScheme()

  - ### Method Detail

    - #### styleAsDefaultPanel

          public static void styleAsDefaultPanel(JComponent... components)

      Styles the given components as default panels (currently only the background is set to white)
      Parameters:
        `components` - the components to style as default panels (e.g. checkboxes also, that's why not only JPanels are accepted)

JOSM Plugins